<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="7cf908d2-398f-411b-b705-21a1f364eee0" name="Default" comment="" />
    <ignored path="image-quantization.iws" />
    <ignored path=".idea/workspace.xml" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ChangesViewManager" flattened_view="true" show_ignored="false" />
  <component name="CreatePatchCommitExecutor">
    <option name="PATCH_PATH" value="" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="default_target" />
  <component name="FavoritesManager">
    <favorites_list name="image-quantization" />
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file leaf-file-name="README.md" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/README.md">
          <provider editor-type-id="MarkdownPreviewEditor">
            <state />
          </provider>
          <provider editor-type-id="Gfm">
            <state />
          </provider>
          <provider selected="true" editor-type-id="text-editor">
            <state vertical-scroll-proportion="0.6104651">
              <caret line="135" column="30" selection-start-line="135" selection-start-column="30" selection-end-line="135" selection-end-column="30" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="package.json" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/package.json">
          <provider selected="true" editor-type-id="text-editor">
            <state vertical-scroll-proportion="7.0">
              <caret line="3" column="22" selection-start-line="3" selection-start-column="22" selection-end-line="3" selection-end-column="22" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="ciede2000_original.ts" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/distance/ciede2000_original.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state vertical-scroll-proportion="0.0">
              <caret line="5" column="3" selection-start-line="5" selection-start-column="3" selection-end-line="5" selection-end-column="21" />
              <folding>
                <element signature="n#!!doc;n#DistanceCIEDE2000_Original#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#constructor#0;n#DistanceCIEDE2000_Original#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#setWhitePoint#0;n#DistanceCIEDE2000_Original#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#calculateRaw#0;n#DistanceCIEDE2000_Original#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#calculateRawInLab#0;n#DistanceCIEDE2000_Original#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="e#2078#2131#0" expanded="true" />
                <element signature="e#2656#2704#0" expanded="true" />
                <element signature="e#2878#2939#0" expanded="true" />
                <element signature="n#!!block;n#calculateNormalized#0;n#DistanceCIEDE2000_Original#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#_hp_f#0;n#DistanceCIEDE2000_Original#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#_a_hp_f#0;n#DistanceCIEDE2000_Original#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#_dhp_f#0;n#DistanceCIEDE2000_Original#0;n#Distance#0;n#IQ#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="iq.ts" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/iq.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state vertical-scroll-proportion="0.0">
              <caret line="15" column="30" selection-start-line="15" selection-start-column="30" selection-end-line="15" selection-end-column="30" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="ciede2000.ts" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/distance/ciede2000.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state vertical-scroll-proportion="0.0">
              <caret line="5" column="12" selection-start-line="5" selection-start-column="12" selection-end-line="5" selection-end-column="12" />
              <folding>
                <element signature="n#!!doc;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#constructor#0;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#setWhitePoint#0;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#calculateRaw#0;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!doc;n#calculateRawInLab#0;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#calculateRawInLab#0;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="e#2328#2381#0" expanded="true" />
                <element signature="e#2897#2945#0" expanded="true" />
                <element signature="e#3119#3180#0" expanded="true" />
                <element signature="n#!!block;n#calculateNormalized#0;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#_hp_f#0;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#_a_hp_f#0;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#_dhp_f#0;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="cie94.ts" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/distance/cie94.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state vertical-scroll-proportion="0.0">
              <caret line="5" column="8" selection-start-line="5" selection-start-column="8" selection-end-line="5" selection-end-column="8" />
              <folding>
                <element signature="n#!!doc;n#DistanceCIE94#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#constructor#0;n#DistanceCIE94#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#setWhitePoint#0;n#DistanceCIE94#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#calculateRaw#0;n#DistanceCIE94#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#calculateNormalized#0;n#DistanceCIE94#0;n#Distance#0;n#IQ#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="usage.ts" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/demo/html/src/controller/usage.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state vertical-scroll-proportion="0.0">
              <caret line="74" column="27" selection-start-line="74" selection-start-column="27" selection-end-line="74" selection-end-column="27" />
              <folding>
                <element signature="n#!!block;n#drawPixels#0;n#QuantizationUsage#0;n#Usage#0" expanded="true" />
                <element signature="n#!!block;n#_typeOf#0;n#QuantizationUsage#0;n#Usage#0" expanded="true" />
                <element signature="n#!!block;n#_timeMark#0;n#QuantizationUsage#0;n#Usage#0" expanded="true" />
                <element signature="n#!!block;n#_baseName#0;n#QuantizationUsage#0;n#Usage#0" expanded="true" />
                <element signature="e#2871#2920#0" expanded="true" />
                <element signature="e#2962#3383#0" expanded="true" />
                <element signature="e#3568#3697#0" expanded="true" />
                <element signature="n#!!block;n#_getColorDistanceCalculator#0;n#QuantizationUsage#0;n#Usage#0" expanded="true" />
                <element signature="n#!!block;n#_checkImageAndPalette#0;n#QuantizationUsage#0;n#Usage#0" expanded="true" />
                <element signature="e#4748#4911#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="cmetric.ts" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/distance/cmetric.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state vertical-scroll-proportion="0.0">
              <caret line="5" column="10" selection-start-line="5" selection-start-column="10" selection-end-line="5" selection-end-column="10" />
              <folding>
                <element signature="n#!!doc;n#DistanceCMETRIC#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#constructor#0;n#DistanceCMETRIC#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#setWhitePoint#0;n#DistanceCMETRIC#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#calculateRaw#0;n#DistanceCMETRIC#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#calculateNormalized#0;n#DistanceCMETRIC#0;n#Distance#0;n#IQ#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="euclidean.ts" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/distance/euclidean.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state vertical-scroll-proportion="0.0">
              <caret line="5" column="4" selection-start-line="5" selection-start-column="4" selection-end-line="5" selection-end-column="4" />
              <folding>
                <element signature="n#!!doc;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#constructor#0;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!doc;n#setWhitePoint#0;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#setWhitePoint#0;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#calculateRaw#0;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#calculateNormalized#0;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
                <element signature="n#!!block;n#_setDefaults#0;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="demo.ts" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/demo/node.js/demo.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state vertical-scroll-proportion="0.0">
              <caret line="2" column="15" selection-start-line="2" selection-start-column="15" selection-end-line="2" selection-end-column="15" />
              <folding>
                <element signature="n#!!block;n#timeMark#0" expanded="true" />
                <element signature="e#394#1337#0" expanded="true" />
                <element signature="e#632#757#0" expanded="true" />
                <element signature="e#803#928#0" expanded="true" />
                <element signature="e#973#1097#0" expanded="true" />
                <element signature="e#1180#1331#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="TypeScript File" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="ciede2000-optimization" />
      </map>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/demo/html-webix/src/ui/rightPanel/clickToCompare.ts" />
        <option value="$PROJECT_DIR$/demo/html-webix/src/ui/rightPanel/originalVsQuantized.ts" />
        <option value="$PROJECT_DIR$/demo/html-webix/src/ui/leftPanel/leftPanel.ts" />
        <option value="$PROJECT_DIR$/demo/html-webix/src/ui/rightPanel/rightPanel.ts" />
        <option value="$PROJECT_DIR$/demo/html-webix/src/ui/leftPanel/configForm.ts" />
        <option value="$PROJECT_DIR$/demo/html-webix/src/controller/ui.ts" />
        <option value="$PROJECT_DIR$/demo/html-webix/src/app.ts" />
        <option value="$PROJECT_DIR$/demo/html-webix/src/ui/leftPanel/imageFileExplorer.ts" />
        <option value="$PROJECT_DIR$/demo/html-webix/src/controller/usage.ts" />
        <option value="vm:42" />
        <option value="$PROJECT_DIR$/demo/node.js/demo.ts" />
        <option value="$PROJECT_DIR$/tasks.txt" />
        <option value="$PROJECT_DIR$/demo/html/build/app.d.ts" />
        <option value="$PROJECT_DIR$/build.cmd" />
        <option value="$PROJECT_DIR$/src/quality/ssim.ts" />
        <option value="$PROJECT_DIR$/src/utils/hueStatistics.ts" />
        <option value="$PROJECT_DIR$/src/utils/utils.ts" />
        <option value="$PROJECT_DIR$/src/utils/pointContainer.ts" />
        <option value="$PROJECT_DIR$/src/color/constants.ts" />
        <option value="$PROJECT_DIR$/src/color/common.ts" />
        <option value="$PROJECT_DIR$/src/image/common.ts" />
        <option value="$PROJECT_DIR$/src/palette/rgbquant/colorHistogram.ts" />
        <option value="$PROJECT_DIR$/src/image/ditherErrorDiffusion.ts" />
        <option value="$PROJECT_DIR$/demo/html/build.cmd" />
        <option value="$PROJECT_DIR$/src/image/nearestColor.ts" />
        <option value="$PROJECT_DIR$/src/palette/neuquant/neuquant.ts" />
        <option value="$PROJECT_DIR$/src/palette/rgbquant/rgbquant.ts" />
        <option value="$PROJECT_DIR$/src/utils/palette.ts" />
        <option value="$PROJECT_DIR$/src/utils/point.ts" />
        <option value="$PROJECT_DIR$/src/palette/wu/wuQuant.ts" />
        <option value="$PROJECT_DIR$/src/color/conversion.ts" />
        <option value="$PROJECT_DIR$/.gitignore" />
        <option value="$PROJECT_DIR$/.npmignore" />
        <option value="$PROJECT_DIR$/src/distance/common.ts" />
        <option value="$PROJECT_DIR$/src/distance/EuclideanRgbQuant.ts" />
        <option value="$PROJECT_DIR$/src/distance/ManhattanNeuQuant.ts" />
        <option value="$PROJECT_DIR$/src/distance/pngQuant.ts" />
        <option value="$PROJECT_DIR$/src/distance/manhattanNeuQuant.ts" />
        <option value="$PROJECT_DIR$/src/distance/manhattan.ts" />
        <option value="$PROJECT_DIR$/src/distance/euclideanWuQuant.ts" />
        <option value="$PROJECT_DIR$/src/distance/euclideanRgbQuant.ts" />
        <option value="$PROJECT_DIR$/src/distance/euclidean.ts" />
        <option value="$PROJECT_DIR$/src/distance/cmetric.ts" />
        <option value="$PROJECT_DIR$/src/distance/ciede2000_original.ts" />
        <option value="$PROJECT_DIR$/src/distance/ciede2000.ts" />
        <option value="$PROJECT_DIR$/src/distance/cie94.ts" />
        <option value="$PROJECT_DIR$/demo/html/src/controller/usage.ts" />
        <option value="$PROJECT_DIR$/src/color/distance.ts" />
        <option value="$PROJECT_DIR$/src/iq.ts" />
        <option value="$PROJECT_DIR$/README.md" />
        <option value="$PROJECT_DIR$/package.json" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
  </component>
  <component name="NamedScopeManager">
    <order />
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="1936" />
    <option name="height" value="1176" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="false">
    <OptionsSetting value="true" id="Add" />
    <OptionsSetting value="true" id="Remove" />
    <OptionsSetting value="true" id="Checkout" />
    <OptionsSetting value="true" id="Update" />
    <OptionsSetting value="true" id="Status" />
    <OptionsSetting value="true" id="Edit" />
    <ConfirmationsSetting value="0" id="Add" />
    <ConfirmationsSetting value="0" id="Remove" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="src" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="src" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="utils" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="src" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="quality" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="src" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="palette" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="src" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="palette" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="wu" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="src" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="palette" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="rgbquant" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="src" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="palette" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="neuquant" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="src" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="image" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="src" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="distance" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="src" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="color" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="demo" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="node.js" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="demo" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="html" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="demo" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="html" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="src" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="image-quantization" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="demo" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="html" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="src" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="controller" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="Scratches" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="true" />
    <property name="HbShouldOpenHtmlAsHb" value="" />
    <property name="recentsLimit" value="5" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/demo/html-webix/build.cmd" />
    <property name="restartRequiresConfirmation" value="false" />
    <property name="FullScreen" value="false" />
    <property name="typescript-compiler-editor-notification" value="false" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\projects\my\github\image-quantization\src\distance" />
      <recent name="D:\projects\my\github\image-quantization\demo\html-webix\src\usage" />
    </key>
  </component>
  <component name="RunManager" selected="JavaScript Debug.demo-webix">
    <configuration default="true" type="DartCommandLineRunConfigurationType" factoryName="Dart Command Line Application">
      <method />
    </configuration>
    <configuration default="true" type="DartUnitRunConfigurationType" factoryName="DartUnit">
      <method />
    </configuration>
    <configuration default="true" type="JavaScriptTestRunnerKarma" factoryName="Karma" config-file="">
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="JavascriptDebugType" factoryName="JavaScript Debug">
      <method />
    </configuration>
    <configuration default="true" type="JsTestDriver-test-runner" factoryName="JsTestDriver">
      <setting name="configLocationType" value="CONFIG_FILE" />
      <setting name="settingsFile" value="" />
      <setting name="serverType" value="INTERNAL" />
      <setting name="preferredDebugBrowser" value="Chrome Canary" />
      <method />
    </configuration>
    <configuration default="true" type="NodeJSConfigurationType" factoryName="Node.js" working-dir="">
      <method />
    </configuration>
    <configuration default="true" type="cucumber.js" factoryName="Cucumber.js">
      <option name="cucumberJsArguments" value="" />
      <option name="executablePath" />
      <option name="filePath" />
      <method />
    </configuration>
    <configuration default="true" type="js.build_tools.gulp" factoryName="Gulp.js">
      <node-options />
      <gulpfile />
      <tasks />
      <arguments />
      <pass-parent-envs>true</pass-parent-envs>
      <envs />
      <method />
    </configuration>
    <configuration default="false" name="index.html" type="JavascriptDebugType" factoryName="JavaScript Debug" nameIsGenerated="true" uri="http://localhost:63343/image-quantization/demo/html/index.html">
      <method>
        <option name="ToolBeforeRunTask" enabled="true" actionId="Tool_External Tools_image-quantization" />
      </method>
    </configuration>
    <configuration default="false" name="demo-webix" type="JavascriptDebugType" factoryName="JavaScript Debug" engineId="39a22e20-64b1-4e52-96fb-13c03bb515dd" uri="http://localhost:63343/image-quantization/demo/html/index.html">
      <method>
        <option name="ToolBeforeRunTask" enabled="true" actionId="Tool_External Tools_image-quantization-demo-webix" />
      </method>
    </configuration>
    <list size="2">
      <item index="0" class="java.lang.String" itemvalue="JavaScript Debug.index.html" />
      <item index="1" class="java.lang.String" itemvalue="JavaScript Debug.demo-webix" />
    </list>
  </component>
  <component name="ShelveChangesManager" show_recycled="false" />
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="7cf908d2-398f-411b-b705-21a1f364eee0" name="Default" comment="" />
      <created>1433787706986</created>
      <option name="number" value="Default" />
      <updated>1433787706986</updated>
    </task>
    <task id="LOCAL-00001" summary="initial commit">
      <created>1433795107156</created>
      <option name="number" value="00001" />
      <option name="project" value="LOCAL" />
      <updated>1433795107156</updated>
    </task>
    <task id="LOCAL-00002" summary="link fixed">
      <created>1433796071167</created>
      <option name="number" value="00002" />
      <option name="project" value="LOCAL" />
      <updated>1433796071167</updated>
    </task>
    <task id="LOCAL-00003" summary="rgb2xyz &amp; xyz2lab fixed">
      <created>1433970393537</created>
      <option name="number" value="00003" />
      <option name="project" value="LOCAL" />
      <updated>1433970393537</updated>
    </task>
    <task id="LOCAL-00004" summary="CIE94 distance formula added, more investigation is needed">
      <created>1433970457441</created>
      <option name="number" value="00004" />
      <option name="project" value="LOCAL" />
      <updated>1433970457441</updated>
    </task>
    <task id="LOCAL-00005" summary="CIE94 added to html demo">
      <created>1433970534130</created>
      <option name="number" value="00005" />
      <option name="project" value="LOCAL" />
      <updated>1433970534130</updated>
    </task>
    <task id="LOCAL-00006" summary="build 0.0.2">
      <created>1433970561259</created>
      <option name="number" value="00006" />
      <option name="project" value="LOCAL" />
      <updated>1433970561259</updated>
    </task>
    <task id="LOCAL-00007" summary="drag-n-drop added">
      <created>1434308394217</created>
      <option name="number" value="00007" />
      <option name="project" value="LOCAL" />
      <updated>1434308394217</updated>
    </task>
    <task id="LOCAL-00008" summary="code cleanup">
      <created>1434379582712</created>
      <option name="number" value="00008" />
      <option name="project" value="LOCAL" />
      <updated>1434379582712</updated>
    </task>
    <task id="LOCAL-00009" summary="ciede2000 optimization-step1">
      <created>1434379674665</created>
      <option name="number" value="00009" />
      <option name="project" value="LOCAL" />
      <updated>1434379674665</updated>
    </task>
    <task id="LOCAL-00010" summary="ciede2000 optimization-step2">
      <created>1434388938181</created>
      <option name="number" value="00010" />
      <option name="project" value="LOCAL" />
      <updated>1434388938181</updated>
    </task>
    <task id="LOCAL-00011" summary="ciede2000 optimization-step3">
      <created>1434392348027</created>
      <option name="number" value="00011" />
      <option name="project" value="LOCAL" />
      <updated>1434392348027</updated>
    </task>
    <task id="LOCAL-00012" summary="build 0.0.4">
      <created>1434393620629</created>
      <option name="number" value="00012" />
      <option name="project" value="LOCAL" />
      <updated>1434393620629</updated>
    </task>
    <task id="LOCAL-00013" summary="0.1.1-a">
      <created>1434485322285</created>
      <option name="number" value="00013" />
      <option name="project" value="LOCAL" />
      <updated>1434485322285</updated>
    </task>
    <task id="LOCAL-00014" summary="0.1.1">
      <created>1434485692942</created>
      <option name="number" value="00014" />
      <option name="project" value="LOCAL" />
      <updated>1434485692943</updated>
    </task>
    <task id="LOCAL-00015" summary="0.1.1">
      <created>1434485845934</created>
      <option name="number" value="00015" />
      <option name="project" value="LOCAL" />
      <updated>1434485845934</updated>
    </task>
    <task id="LOCAL-00016" summary="0.1.1-case change1">
      <created>1434486063082</created>
      <option name="number" value="00016" />
      <option name="project" value="LOCAL" />
      <updated>1434486063082</updated>
    </task>
    <task id="LOCAL-00017" summary="0.1.1">
      <created>1434486129221</created>
      <option name="number" value="00017" />
      <option name="project" value="LOCAL" />
      <updated>1434486129221</updated>
    </task>
    <task id="LOCAL-00018" summary="0.1.2">
      <created>1434486709996</created>
      <option name="number" value="00018" />
      <option name="project" value="LOCAL" />
      <updated>1434486709996</updated>
    </task>
    <option name="localTasksCounter" value="19" />
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1176" extended-state="0" />
    <editor active="false" />
    <layout>
      <window_info id="Remote Host" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Project" active="true" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" weight="0.27170417" sideWeight="0.5" order="0" side_tool="false" content_ui="combo" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Messages" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.32944608" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="7" side_tool="true" content_ui="tabs" />
      <window_info id="Application Servers" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.32847425" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.32847425" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.32944608" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" weight="0.39941692" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="SLIDING" type="SLIDING" visible="false" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.24973205" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.40038872" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
    </layout>
  </component>
  <component name="Vcs.Log.UiProperties">
    <option name="RECENTLY_FILTERED_USER_GROUPS">
      <collection />
    </option>
    <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
      <collection />
    </option>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="initial commit" />
    <MESSAGE value="link fixed" />
    <MESSAGE value="rgb2xyz &amp; xyz2lab fixed, code cleanup" />
    <MESSAGE value="rgb2xyz &amp; xyz2lab fixed" />
    <MESSAGE value="CIE94 distance formula added, more investigation is needed" />
    <MESSAGE value="CIE94 added to html demo" />
    <MESSAGE value="build 0.0.2" />
    <MESSAGE value="drag-n-drop added" />
    <MESSAGE value="code cleanup" />
    <MESSAGE value="ciede2000 optimization-step1" />
    <MESSAGE value="ciede2000 optimization-step2" />
    <MESSAGE value="ciede2000 optimization-step3" />
    <MESSAGE value="build 0.0.4" />
    <MESSAGE value="0.1.1-a" />
    <MESSAGE value="0.1.1-case change1" />
    <MESSAGE value="0.1.1" />
    <MESSAGE value="0.1.2" />
    <option name="LAST_COMMIT_MESSAGE" value="0.1.2" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints-dialog>
        <breakpoints-dialog />
      </breakpoints-dialog>
      <default-breakpoints>
        <breakpoint enabled="true" type="javascript-exception">
          <properties uncaughtOnly="true" />
        </breakpoint>
      </default-breakpoints>
      <option name="time" value="18" />
    </breakpoint-manager>
    <watches-manager>
      <configuration name="JavascriptDebugType">
        <watch expression="id" language="JavaScript" />
      </configuration>
    </watches-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/distance/cmetric.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="5" column="10" selection-start-line="5" selection-start-column="10" selection-end-line="5" selection-end-column="10" />
          <folding>
            <element signature="n#!!doc;n#DistanceCMETRIC#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#constructor#0;n#DistanceCMETRIC#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#setWhitePoint#0;n#DistanceCMETRIC#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#calculateRaw#0;n#DistanceCMETRIC#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#calculateNormalized#0;n#DistanceCMETRIC#0;n#Distance#0;n#IQ#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/distance/euclidean.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="5" column="4" selection-start-line="5" selection-start-column="4" selection-end-line="5" selection-end-column="4" />
          <folding>
            <element signature="n#!!doc;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#constructor#0;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!doc;n#setWhitePoint#0;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#setWhitePoint#0;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#calculateRaw#0;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#calculateNormalized#0;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#_setDefaults#0;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/demo/node.js/demo.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="2" column="15" selection-start-line="2" selection-start-column="15" selection-end-line="2" selection-end-column="15" />
          <folding>
            <element signature="n#!!block;n#timeMark#0" expanded="true" />
            <element signature="e#394#1337#0" expanded="true" />
            <element signature="e#632#757#0" expanded="true" />
            <element signature="e#803#928#0" expanded="true" />
            <element signature="e#973#1097#0" expanded="true" />
            <element signature="e#1180#1331#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/demo/node.js/demo.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="2" column="15" selection-start-line="2" selection-start-column="15" selection-end-line="2" selection-end-column="15" />
          <folding>
            <element signature="n#!!block;n#timeMark#0" expanded="true" />
            <element signature="e#394#1337#0" expanded="true" />
            <element signature="e#632#757#0" expanded="true" />
            <element signature="e#803#928#0" expanded="true" />
            <element signature="e#973#1097#0" expanded="true" />
            <element signature="e#1180#1331#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider editor-type-id="MarkdownPreviewEditor">
        <state />
      </provider>
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="130" column="12" selection-start-line="130" selection-start-column="9" selection-end-line="130" selection-end-column="9" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/iq.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="26" column="36" selection-start-line="26" selection-start-column="0" selection-end-line="26" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/demo/html/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="5" column="39" selection-start-line="5" selection-start-column="39" selection-end-line="5" selection-end-column="39" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider editor-type-id="MarkdownPreviewEditor">
        <state />
      </provider>
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/iq.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="30" column="0" selection-start-line="30" selection-start-column="0" selection-end-line="30" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/utils/utils.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="172" column="0" selection-start-line="172" selection-start-column="0" selection-end-line="172" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/demo/html/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="12" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="12" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/distance/common.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="8" column="21" selection-start-line="8" selection-start-column="21" selection-end-line="8" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/color/conversion.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="43" column="33" selection-start-line="43" selection-start-column="33" selection-end-line="43" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider editor-type-id="MarkdownPreviewEditor">
        <state />
      </provider>
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/demo/html/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="5" column="39" selection-start-line="5" selection-start-column="39" selection-end-line="5" selection-end-column="39" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tasks.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="3" column="0" selection-start-line="2" selection-start-column="0" selection-end-line="3" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/build.cmd">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-6.3636365">
          <caret line="10" column="0" selection-start-line="10" selection-start-column="0" selection-end-line="10" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/color/constants.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-4.4545455">
          <caret line="7" column="16" selection-start-line="7" selection-start-column="16" selection-end-line="7" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/image/common.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-0.6363636">
          <caret line="7" column="15" selection-start-line="7" selection-start-column="15" selection-end-line="7" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/demo/html/build.cmd">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-1.9090909">
          <caret line="3" column="0" selection-start-line="3" selection-start-column="0" selection-end-line="3" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/image/ditherErrorDiffusion.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="83" column="16" selection-start-line="83" selection-start-column="16" selection-end-line="83" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/image/nearestColor.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="14" column="52" selection-start-line="14" selection-start-column="52" selection-end-line="14" selection-end-column="52" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/palette/neuquant/neuquant.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="87" column="12" selection-start-line="87" selection-start-column="12" selection-end-line="87" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/palette/rgbquant/colorHistogram.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="17" column="17" selection-start-line="17" selection-start-column="17" selection-end-line="17" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/palette/rgbquant/rgbquant.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="55" column="34" selection-start-line="55" selection-start-column="34" selection-end-line="55" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/palette/common.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="8" column="25" selection-start-line="8" selection-start-column="25" selection-end-line="8" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/quality/ssim.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="11" column="9" selection-start-line="11" selection-start-column="9" selection-end-line="11" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/utils/arithmetic.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/utils/hueStatistics.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="10" column="0" selection-start-line="10" selection-start-column="0" selection-end-line="10" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/utils/palette.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="82" column="64" selection-start-line="82" selection-start-column="64" selection-end-line="82" selection-end-column="64" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/utils/pointContainer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="10" column="0" selection-start-line="10" selection-start-column="0" selection-end-line="10" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/utils/utils.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="8" column="0" selection-start-line="8" selection-start-column="0" selection-end-line="8" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/utils/point.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="26" column="57" selection-start-line="26" selection-start-column="57" selection-end-line="26" selection-end-column="57" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/palette/wu/wuQuant.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="500" column="216" selection-start-line="500" selection-start-column="216" selection-end-line="500" selection-end-column="216" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/color/conversion.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="17" column="9" selection-start-line="17" selection-start-column="9" selection-end-line="17" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.gitignore">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="4" column="0" selection-start-line="4" selection-start-column="0" selection-end-line="4" selection-end-column="12" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.npmignore">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/distance/common.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="7" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="7" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/distance/pngQuant.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="5" column="11" selection-start-line="5" selection-start-column="11" selection-end-line="5" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/distance/manhattan.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="5" column="12" selection-start-line="5" selection-start-column="12" selection-end-line="5" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/distance/euclideanWuQuant.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="5" column="4" selection-start-line="5" selection-start-column="4" selection-end-line="5" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/distance/euclidean.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="5" column="4" selection-start-line="5" selection-start-column="4" selection-end-line="5" selection-end-column="4" />
          <folding>
            <element signature="n#!!doc;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#constructor#0;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!doc;n#setWhitePoint#0;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#setWhitePoint#0;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#calculateRaw#0;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#calculateNormalized#0;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#_setDefaults#0;n#DistanceEuclidean#0;n#Distance#0;n#IQ#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/distance/cmetric.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="5" column="10" selection-start-line="5" selection-start-column="10" selection-end-line="5" selection-end-column="10" />
          <folding>
            <element signature="n#!!doc;n#DistanceCMETRIC#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#constructor#0;n#DistanceCMETRIC#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#setWhitePoint#0;n#DistanceCMETRIC#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#calculateRaw#0;n#DistanceCMETRIC#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#calculateNormalized#0;n#DistanceCMETRIC#0;n#Distance#0;n#IQ#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/distance/ciede2000.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="5" column="12" selection-start-line="5" selection-start-column="12" selection-end-line="5" selection-end-column="12" />
          <folding>
            <element signature="n#!!doc;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#constructor#0;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#setWhitePoint#0;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#calculateRaw#0;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!doc;n#calculateRawInLab#0;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#calculateRawInLab#0;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="e#2328#2381#0" expanded="true" />
            <element signature="e#2897#2945#0" expanded="true" />
            <element signature="e#3119#3180#0" expanded="true" />
            <element signature="n#!!block;n#calculateNormalized#0;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#_hp_f#0;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#_a_hp_f#0;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#_dhp_f#0;n#DistanceCIEDE2000#0;n#Distance#0;n#IQ#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/distance/cie94.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="5" column="8" selection-start-line="5" selection-start-column="8" selection-end-line="5" selection-end-column="8" />
          <folding>
            <element signature="n#!!doc;n#DistanceCIE94#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#constructor#0;n#DistanceCIE94#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#setWhitePoint#0;n#DistanceCIE94#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#calculateRaw#0;n#DistanceCIE94#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#calculateNormalized#0;n#DistanceCIE94#0;n#Distance#0;n#IQ#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/distance/ciede2000_original.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="5" column="3" selection-start-line="5" selection-start-column="3" selection-end-line="5" selection-end-column="21" />
          <folding>
            <element signature="n#!!doc;n#DistanceCIEDE2000_Original#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#constructor#0;n#DistanceCIEDE2000_Original#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#setWhitePoint#0;n#DistanceCIEDE2000_Original#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#calculateRaw#0;n#DistanceCIEDE2000_Original#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#calculateRawInLab#0;n#DistanceCIEDE2000_Original#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="e#2078#2131#0" expanded="true" />
            <element signature="e#2656#2704#0" expanded="true" />
            <element signature="e#2878#2939#0" expanded="true" />
            <element signature="n#!!block;n#calculateNormalized#0;n#DistanceCIEDE2000_Original#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#_hp_f#0;n#DistanceCIEDE2000_Original#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#_a_hp_f#0;n#DistanceCIEDE2000_Original#0;n#Distance#0;n#IQ#0" expanded="true" />
            <element signature="n#!!block;n#_dhp_f#0;n#DistanceCIEDE2000_Original#0;n#Distance#0;n#IQ#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/demo/html/src/controller/usage.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="74" column="27" selection-start-line="74" selection-start-column="27" selection-end-line="74" selection-end-column="27" />
          <folding>
            <element signature="n#!!block;n#drawPixels#0;n#QuantizationUsage#0;n#Usage#0" expanded="true" />
            <element signature="n#!!block;n#_typeOf#0;n#QuantizationUsage#0;n#Usage#0" expanded="true" />
            <element signature="n#!!block;n#_timeMark#0;n#QuantizationUsage#0;n#Usage#0" expanded="true" />
            <element signature="n#!!block;n#_baseName#0;n#QuantizationUsage#0;n#Usage#0" expanded="true" />
            <element signature="e#2871#2920#0" expanded="true" />
            <element signature="e#2962#3383#0" expanded="true" />
            <element signature="e#3568#3697#0" expanded="true" />
            <element signature="n#!!block;n#_getColorDistanceCalculator#0;n#QuantizationUsage#0;n#Usage#0" expanded="true" />
            <element signature="n#!!block;n#_checkImageAndPalette#0;n#QuantizationUsage#0;n#Usage#0" expanded="true" />
            <element signature="e#4748#4911#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/demo/node.js/demo.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="2" column="15" selection-start-line="2" selection-start-column="15" selection-end-line="2" selection-end-column="15" />
          <folding>
            <element signature="n#!!block;n#timeMark#0" expanded="true" />
            <element signature="e#394#1337#0" expanded="true" />
            <element signature="e#632#757#0" expanded="true" />
            <element signature="e#803#928#0" expanded="true" />
            <element signature="e#973#1097#0" expanded="true" />
            <element signature="e#1180#1331#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/iq.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="15" column="30" selection-start-line="15" selection-start-column="30" selection-end-line="15" selection-end-column="30" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/package.json">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="7.0">
          <caret line="3" column="22" selection-start-line="3" selection-start-column="22" selection-end-line="3" selection-end-column="22" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider editor-type-id="MarkdownPreviewEditor">
        <state />
      </provider>
      <provider editor-type-id="Gfm">
        <state />
      </provider>
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.6104651">
          <caret line="135" column="30" selection-start-line="135" selection-start-column="30" selection-end-line="135" selection-end-column="30" />
          <folding />
        </state>
      </provider>
    </entry>
  </component>
</project>